package com.zcloud.primeport.domain.gateway;

import com.zcloud.primeport.domain.model.ClosedAreaPersonApplyE;

/**
* web-domain
* @Author dearLin
* @Date 2026-03-19 13:59:16
*/
public interface ClosedAreaPersonApplyGateway {

    /**
    * 新增
    */
    Boolean add(ClosedAreaPersonApplyE closedAreaPersonApplyE) ;

    /**
    * 修改
    */
    Boolean update(ClosedAreaPersonApplyE closedAreaPersonApplyE);

    /**
    * 删除
    */
    Boolean deletedClosedAreaPersonApplyById(Long id);
    Boolean deletedClosedAreaPersonApplyByIds(Long[] id);

    /**
    * 查询
    */
    ClosedAreaPersonApplyE queryById(Long id);
}

